#ifndef __GIMP_PREVIEW_DIALOG_H_INCLUDED__
#define __GIMP_PREVIEW_DIALOG_H_INCLUDED__

#include <gtk/gtk.h>
#include "gimppreview.h"

typedef struct
{
  gchar *title;
  gchar *wmclass_name;
  gchar *help_data;

  GtkWidget *(*get_settings_widget) (GtkWidget * parent, gpointer data);
  gpointer settings_data;

  void (*effect_func) (GtkWidget * widget, GimpPreviewUpdateEvent * event,
                       gpointer data);
}
EffectParam_t;

gboolean do_preview_dialog (GimpDrawable * drawable, EffectParam_t * param);

void preview_update_effect (void);

#endif /* __GIMP_PREVIEW_DIALOG_H_INCLUDED__ */
