/* GIMP Plugin Preview Widget                                                 
 * Copyright (C) 2003 Ernst Lippe
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.           
 *                                                                            
 * This library is distributed in the hope that it will be useful,             
 * but WITHOUT ANY WARRANTY; without even the implied warranty of              
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU           
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Version $Id: gimppreviewutil.h,v 1.1 2003/04/08 21:11:59 el Exp $
 */

#ifndef __GIMP_PREVIEWUTIL_H_INCLUDED__
#define __GIMP_PREVIEWUTIL_H_INCLUDED__

#include <libgimp/gimp.h>

G_BEGIN_DECLS
  GimpDrawable * gimp_preview_get_temp_drawable (GimpDrawable * drawable,
                                                 gint x, gint y, gint width,
                                                 gint height);

GimpDrawable *gimp_preview_get_scaled_temp_drawable (GimpDrawable * drawable,
                                                     gdouble scale, gint x,
                                                     gint y, gint width,
                                                     gint height);

void gimp_preview_free_temp_drawable (GimpDrawable * drawable);

G_END_DECLS
#endif
